aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Björklund <[email protected]>2020-11-30 08:41:01 +0100
committerLoïc Hoguin <[email protected]>2020-11-30 16:16:16 +0100
commitcfce77e33b375d125283a0c22b643dcb6cc1af44 (patch)
tree3aa8f5b64f8f0af2b8c669db805d84a60f586d9f
parent4fdc52c60cb9598e28895b9f27dff59f23c578ce (diff)
downloaderlang.mk-cfce77e33b375d125283a0c22b643dcb6cc1af44.tar.gz
erlang.mk-cfce77e33b375d125283a0c22b643dcb6cc1af44.tar.bz2
erlang.mk-cfce77e33b375d125283a0c22b643dcb6cc1af44.zip
Try do detect if we need to sleep in tests between a build and when a
source file is modified. Without a sleep the source file and the target may get the same modification time, on some machines.
-rw-r--r--test/Makefile2
1 files changed, 2 insertions, 0 deletions
diff --git a/test/Makefile b/test/Makefile
index 8d1a5e8..0517684 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -46,6 +46,8 @@ endif
ifeq ($(shell touch a; sleep 0.01; touch b; sleep 0.01; touch c; test c -nt b -a b -nt a; echo $$?; rm a b c),1)
SLEEP = sleep 1
+else ifeq ($(shell touch a; touch b; touch c; test c -nt b -a b -nt a; echo $$?; rm a b c),1)
+SLEEP = sleep 0.01
else
SLEEP =
endif